API Endpoints
YouTube Data API
Powerful YouTube API for video details, streaming data, captions, comments, channel content, search, trending videos, hashtags and discovery tools.
Log in to test endpoints
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/discovery/resolve \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/discovery/search \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/discovery/trending \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/discovery/hashtag \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Get detailed metadata, statistics, thumbnails, author information, and availability data for a YouTube video by URL or video ID.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/details \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Get streaming metadata, available formats, quality variants, and media information for a YouTube video.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/streaming \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Get available streaming links and media formats for a YouTube video.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/streaming-links \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Get available captions and subtitle tracks for a YouTube video.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/captions \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Check whether a YouTube video is playable and retrieve playability status, restrictions, and availability details.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/playability \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
Get YouTube player data for a video, including playback context and player response metadata.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/youtube/video/player \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/comments \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/comments/replies \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/videos \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/shorts \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/livestreams \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/posts \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/podcasts \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/playlists \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.
cURL
curl --request GET \ --url https://apibara.tech/api/v1/youtube/channel/search \ --header 'X-API-Key: Your API key'
Example response
[]
Last result
No test yet.